IllegalTagException (marc4j)
Keywords: org.marc4j.marc.IllegalTagException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j.marc
Class IllegalTagException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.marc4j.marc.IllegalTagException

All Implemented Interfaces:
  Serializable

public class IllegalTagException
extends IllegalArgumentException

`IllegalTagException` is thrown when a tag is supplied that is invalid.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters
See Also:
  Serialized Form

Constructor Summary
`IllegalTagException(String tag)` Creates an `Exception` indicating that the name of the tag is invalid.
`IllegalTagException(String tag, String reason)` Creates an `Exception` indicating that the name of the tag is invalid.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalTagException

    public IllegalTagException(String tag)

  Creates an `Exception` indicating that the name of the tag is invalid.

Parameters:
  `tag` - the tag name
See Also:
  `Tag`

### IllegalTagException

    public IllegalTagException(String tag,
                               String reason)

  Creates an `Exception` indicating that the name of the tag is invalid.

Parameters:
  `tag` - the tag name
  `reason` - the reason why the exception is thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.